## python-pyani 0.2.12

=== Makefile ===
# Makefile
#
# Runs tests for pyani module
#
# =====
# LAZY RUNNING: Don't redo calls to BLAST and MUMmer
#
# If we want to run tests without clobbering old data/redoing calculations
# then use the argument -e LAZY=1, e.g.
#
# make ANIm -e LAZY=1
#
# NOTE: if you do this, don't use 'make all', as it will clean out the 
#       necessary intermediate files; use 'make test' instead to run everything
# =====

DATA=tests/test_ani_data
OUT_B=tests/test_ANIb_output
OUT_BLASTALL=tests/test_ANIblastall_output
OUT_M=tests/test_ANIm_output
OUT_TETRA=tests/test_TETRA_output
CLASSES=$(DATA)/classes.tab
LABELS=$(DATA)/labels.tab
GFORMAT=pdf,png,eps
GMETHOD=mpl

# Decide whether we're skipping generation of intermediate files
ifeq ($(LAZY), 1)
	LAZYBLAST=--force --noclobber --skip_blast
	LAZYMUMMER=--force --noclobber --skip_nucmer
	LAZYTETRA=--force --noclobber
else
	LAZYBLAST=
	LAZYMUMMER=
	LAZYTETRA=
endif

all : clean test

sge : clean test_sge

ANIm :
	@echo "Testing ANIm analysis..."
	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_M) \
	  -m ANIm --classes $(CLASSES) --labels $(LABELS) -g -v \
	  $(LAZYMUMMER) --gformat $(GFORMAT) --gmethod $(GMETHOD)
	@echo "ANIm analysis test done"
	@echo

ANIm_sge :
	@echo "Testing ANIm analysis with SGE..."
	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_M) \
	  -m ANIm --classes $(CLASSES) --labels $(LABELS) -g -v \
	  --scheduler SGE $(LAZYMUMMER) --gformat $(GFORMAT)\
	  --gmethod $(GMETHOD)
	@echo "ANIm analysis test done"
	@echo

ANIb :
	@echo "Testing ANIb analysis..."
	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_B) \
	  -m ANIb --classes $(CLASSES) --labels $(LABELS) -g -v \
	  $(LAZYBLAST) --gformat $(GFORMAT) --gmethod $(GMETHOD)
	@echo "ANIb analysis test done"
	@echo

ANIb_sge :
	@echo "Testing ANIb analysis with SGE..."
	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_B) \
	  -m ANIb --classes $(CLASSES) --labels $(LABELS) -g -v \
	  --scheduler SGE $(LAZYBLAST) --gformat $(GFORMAT) \
	  --gmethod $(GMETHOD)
	@echo "ANIb analysis test done"
	@echo

ANIblastall :
	@echo "Testing ANIblastall analysis..."
	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_BLASTALL) \
	  -m ANIblastall --classes $(CLASSES) --labels $(LABELS) -g -v \
	  $(LAZYBLAST) --gformat $(GFORMAT) --gmethod $(GMETHOD)
	@echo "ANIblastall analysis test done"
	@echo

ANIblastall_sge :
	@echo "Testing ANIblastall analysis with SGE..."
	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_BLASTALL) \
	  -m ANIblastall --classes $(CLASSES) --labels $(LABELS) -g -v \
	  --scheduler SGE $(LAZYBLAST) --gformat $(GFORMAT)
	  --gmethod $(GMETHOD)
	@echo "ANIblastall analysis test done"
	@echo

BLAST : ANIb ANIblastall

TETRA :
	@echo "Testing TETRA analysis..."
	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_TETRA) \
	  -m TETRA --classes $(CLASSES) --labels $(LABELS) -g -v \
	  $(LAZYTETRA) --gformat $(GFORMAT) --gmethod $(GMETHOD)
	@echo "TETRA analysis test done"
	@echo

clean :
	rm -rf $(OUT_M) $(OUT_B) $(OUT_BLASTALL) $(OUT_TETRA)

test : ANIm ANIb ANIblastall TETRA

test_sge : ANIm_sge ANIb_sge ANIblastall_sge

## python-pyani 0.2.10

=== debian/changelog ===
python-pyani (0.2.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/u/metatada: Added ref to conda
  * Added clean of files autocreated/modded during build

 -- Steffen Moeller <moeller@debian.org>  Fri, 21 Feb 2020 20:30:39 +0100

python-pyani (0.2.9-1) unstable; urgency=medium

  * Initial release (Closes: #944663)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Nov 2019 15:38:25 +0100

=== debian/control ===
Source: python-pyani
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-biopython <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-pandas <!nocheck>,
               python3-scipy <!nocheck>,
               python3-seaborn <!nocheck>,
               mummer <!nocheck>,
               ncbi-blast+ <!nocheck>,
               python3-nose <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-pyani
Vcs-Git: https://salsa.debian.org/med-team/python-pyani.git
Homepage: https://github.com/widdowquinn/pyani

Package: python3-pyani
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-setuptools,
         python3-biopython,
         python3-matplotlib,
         python3-pandas,
         python3-scipy,
         python3-seaborn,
         mummer,
         ncbi-blast+,
Description: Python3 module for average nucleotide identity analyses
 Pyani is a Python3 module and script that provides support for
 calculating average nucleotide identity (ANI) and related measures for
 whole genome comparisons, and rendering relevant graphical summary
 output. Where available, it takes advantage of multicore systems, and
 can integrate with SGE/OGE-type job schedulers for the sequence
 comparisons.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export PYBUILD_NAME=pyani

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	dh_installman --language=C

override_dh_auto_clean:
	dh_auto_clean
	rm -f pyani.egg-info/PKG-INFO pyani.egg-info/SOURCES.txt pyani.egg-info/dependency_links.txt pyani.egg-info/requires.txt pyani.egg-info/top_level.txt

=== debian/watch ===
version=4

https://github.com/widdowquinn/pyani/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pyani 0.2.11

=== debian/changelog ===
python-pyani (0.2.11-1) unstable; urgency=medium

  * Team Upload.
  * d/watch: Fix watch regex
  * New upstream version 0.2.11
  * Update Manpage
  * Bump debhelper-compat version to 13
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 Aug 2021 23:48:36 +0530

python-pyani (0.2.10-2) unstable; urgency=medium

  * Team upload.

  [ Sao I Kuan ]
  * Add Testsuite: autopkgtest-pkg-python
  * Add test script for autopkgtest

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Sao I Kuan <saoikuan@gmail.com>  Fri, 20 Mar 2020 17:21:22 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-setuptools,
@@ -15,10 +15,12 @@
                mummer <!nocheck>,
                ncbi-blast+ <!nocheck>,
                python3-nose <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-pyani
 Vcs-Git: https://salsa.debian.org/med-team/python-pyani.git
 Homepage: https://github.com/widdowquinn/pyani
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-pyani
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f pyani.egg-info/PKG-INFO pyani.egg-info/SOURCES.txt pyani.egg-info/dependency_links.txt pyani.egg-info/requires.txt pyani.egg-info/top_level.txt
-

=== debian/watch ===
version=4

https://github.com/widdowquinn/pyani/releases .*/archive/.*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pyani 0.2.12

=== debian/changelog ===
python-pyani (0.2.12-3) unstable; urgency=medium

  [ Ananthu C V ]
  * Team upload
  * add patch to fix dataframe sorting syntax (Closes: #1044066)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Ananthu C V <weepingclown@disroot.org>  Fri, 24 Nov 2023 22:32:48 +0530

python-pyani (0.2.12-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Proper filename for download tarball

  [ Étienne Mollier ]
  * d/control: move from nose to pytest.
  * d/t/control: move from nose to pytest.
  * d/t/run-unit-test: replace nosetests by pytest.
  * pytest.patch: migrate from nose to pytest. (Closes: #1018559)
  * d/t/run-unit-test: run against all supported python versions.
  * d/control: add myself to uploaders.
  * d/control: restore python3-all-dev now that python-biopython 1.80 is built
    for python3.11.
  * d/copyright: bump copyright year.
  * d/t/control: ensure all python3 versions are present in autopkgtest.

 -- Étienne Mollier <emollier@debian.org>  Sat, 03 Dec 2022 18:51:23 +0100

python-pyani (0.2.12-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Fix lintian-overrides

  [ Nilesh Patra ]
  * B-D on python3-dev, as biopython does not supply bindings
    for all py versions

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 08:29:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-pyani
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-setuptools,
                python3-biopython <!nocheck>,
@@ -14,8 +15,8 @@
                python3-seaborn <!nocheck>,
                mummer <!nocheck>,
                ncbi-blast+ <!nocheck>,
-               python3-nose <!nocheck>
-Standards-Version: 4.5.1
+               python3-pytest <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-pyani
 Vcs-Git: https://salsa.debian.org/med-team/python-pyani.git
 Homepage: https://github.com/widdowquinn/pyani

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/widdowquinn/pyani/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pyani 0.2.13

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 ANIm :
 	@echo "Testing ANIm analysis..."
-	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_M) \
+	average_nucleotide_identity.py -i $(DATA) -o $(OUT_M) \
 	  -m ANIm --classes $(CLASSES) --labels $(LABELS) -g -v \
 	  $(LAZYMUMMER) --gformat $(GFORMAT) --gmethod $(GMETHOD)
 	@echo "ANIm analysis test done"
@@ -49,7 +49,7 @@
 
 ANIm_sge :
 	@echo "Testing ANIm analysis with SGE..."
-	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_M) \
+	average_nucleotide_identity.py -i $(DATA) -o $(OUT_M) \
 	  -m ANIm --classes $(CLASSES) --labels $(LABELS) -g -v \
 	  --scheduler SGE $(LAZYMUMMER) --gformat $(GFORMAT)\
 	  --gmethod $(GMETHOD)
@@ -58,7 +58,7 @@
 
 ANIb :
 	@echo "Testing ANIb analysis..."
-	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_B) \
+	average_nucleotide_identity.py -i $(DATA) -o $(OUT_B) \
 	  -m ANIb --classes $(CLASSES) --labels $(LABELS) -g -v \
 	  $(LAZYBLAST) --gformat $(GFORMAT) --gmethod $(GMETHOD)
 	@echo "ANIb analysis test done"
@@ -66,7 +66,7 @@
 
 ANIb_sge :
 	@echo "Testing ANIb analysis with SGE..."
-	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_B) \
+	average_nucleotide_identity.py -i $(DATA) -o $(OUT_B) \
 	  -m ANIb --classes $(CLASSES) --labels $(LABELS) -g -v \
 	  --scheduler SGE $(LAZYBLAST) --gformat $(GFORMAT) \
 	  --gmethod $(GMETHOD)
@@ -83,7 +83,7 @@
 
 ANIblastall_sge :
 	@echo "Testing ANIblastall analysis with SGE..."
-	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_BLASTALL) \
+	average_nucleotide_identity.py -i $(DATA) -o $(OUT_BLASTALL) \
 	  -m ANIblastall --classes $(CLASSES) --labels $(LABELS) -g -v \
 	  --scheduler SGE $(LAZYBLAST) --gformat $(GFORMAT)
 	  --gmethod $(GMETHOD)
@@ -94,7 +94,7 @@
 
 TETRA :
 	@echo "Testing TETRA analysis..."
-	./average_nucleotide_identity.py -i $(DATA) -o $(OUT_TETRA) \
+	average_nucleotide_identity.py -i $(DATA) -o $(OUT_TETRA) \
 	  -m TETRA --classes $(CLASSES) --labels $(LABELS) -g -v \
 	  $(LAZYTETRA) --gformat $(GFORMAT) --gmethod $(GMETHOD)
 	@echo "TETRA analysis test done"

=== requirements.txt ===
numpy
scipy
matplotlib
biopython
pandas
seaborn
pre-commit

=== debian/changelog ===
python-pyani (0.2.13-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.2.13 (Refresh patches)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 18 Mar 2025 12:24:48 +0530

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=pyani
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installman:
 	dh_installman --language=C
